#
# spec file for package perl-IO-Stty
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-IO-Stty
Version:        0.04
Release:        1.22
%define cpan_name IO-Stty
Summary:        Change and print terminal line settings
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This is the PERL POSIX compliant stty.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Jan 20 2020 <timueller+perl@suse.de>
- updated to 0.04
  see /usr/share/doc/packages/perl-IO-Stty/Changes
  0.04 Sat Jan 18 2020
  - Switch to EU::MM
  - Address a few deficiencies in the way how the stty() sub processes its arguments
  - Enable testing on Github actions.
  0.03 Thu May 6 2010
  - Re-vamp IO::Stty to modern layout
  - stty.txt moved into POD for module
  - stty.pl in docs. Die if no params passed to stty
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- update to 0.03
  o no updated Changes :(
- recreated by cpanspec 1.78
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 mc@suse.de
- add vendorarch changes
- fix for correct perl interpreter
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Mon May 19 2003 mc@suse.de
- removed unpackaged Files from RPM_BUILD_ROOT
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Thu Jun 21 2001 mc@suse.de
- fixed the specfile. Used more RPM macros
* Thu Feb  8 2001 mc@suse.de
- first package, v.02
